Bug 1726869 - Review Request: python-sphinx-notfound-page - Create a custom 404 page with absolute URLs hardcoded
Summary: Review Request: python-sphinx-notfound-page - Create a custom 404 page with a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1726846
TreeView+ depends on / blocked
 
Reported: 2019-07-03 23:34 UTC by Kevin Fenzi
Modified: 2019-07-30 01:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 01:00:20 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Kevin Fenzi 2019-07-03 23:34:41 UTC
Spec URL: https://scrye.com/~kevin//fedora/review/python-spinx-notfound-page/python-spinx-notfound-page.spec
SRPM URL: https://scrye.com/~kevin//fedora/review/python-spinx-notfound-page/python-sphinx-notfound-page-0.4-1.fc31.src.rpm
Description: Create a custom 404 page with absolute URLs hardcoded
Fedora Account System Username: kevin

rpmlint says: 

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

This package is needed to build docs in the latest update of ansible.

Comment 2 Robert-André Mauchin 🐧 2019-07-13 18:04:45 UTC
 - Use bcond_with/without for conditions


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 37 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-sphinx-notfound-page/review-python-
     sphinx-notfound-page/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 14 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-sphinx-notfound-page-0.4-1.fc31.noarch.rpm
          python-sphinx-notfound-page-0.4-1.fc31.src.rpm
python3-sphinx-notfound-page.noarch: W: spelling-error Summary(en_US) hardcoded -> hard coded, hard-coded, hardcore
python3-sphinx-notfound-page.noarch: W: spelling-error %description -l en_US hardcoded -> hard coded, hard-coded, hardcore
python-sphinx-notfound-page.src: W: spelling-error Summary(en_US) hardcoded -> hard coded, hard-coded, hardcore
python-sphinx-notfound-page.src: W: spelling-error %description -l en_US hardcoded -> hard coded, hard-coded, hardcore
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 3 Kevin Fenzi 2019-07-13 19:06:30 UTC
> - Use bcond_with/without for conditions

sure, will do on import. 

Thanks for the review!

repo requested in https://pagure.io/releng/fedora-scm-requests/issue/13368

Comment 4 Gwyn Ciesla 2019-07-13 19:17:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sphinx-notfound-page

Comment 5 Fedora Update System 2019-07-21 15:41:57 UTC
FEDORA-2019-7301f6afd1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7301f6afd1

Comment 6 Fedora Update System 2019-07-21 15:43:44 UTC
FEDORA-2019-4523b5e0c2 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4523b5e0c2

Comment 7 Fedora Update System 2019-07-22 01:10:36 UTC
ansible-2.8.2-1.fc30, python-sphinx-notfound-page-0.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7301f6afd1

Comment 8 Fedora Update System 2019-07-22 08:11:49 UTC
ansible-2.8.2-1.fc29, python-sphinx-notfound-page-0.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4523b5e0c2

Comment 9 Fedora Update System 2019-07-26 01:00:20 UTC
ansible-2.8.2-1.fc30, python-sphinx-notfound-page-0.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-07-30 01:45:25 UTC
ansible-2.8.2-1.fc29, python-sphinx-notfound-page-0.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.